UPDATE HotelSetup
SET KeyValue = 5
where SearchKey = 'ProductSelectShow' AND KeyValue in (1, 3) AND TextValue = 'All'

UPDATE HotelSetup
SET KeyValue = 1
where SearchKey = 'ProductSelectShow' AND KeyValue = 2 AND TextValue = 'Customer'

UPDATE HotelSetup
SET KeyValue = 2
where SearchKey = 'ProductSelectShow' AND KeyValue = 3 AND TextValue = 'Only with prices'